aa123 {bio3d} | R Documentation

## Convert Between 1-letter and 3-letter Aminoacid Codes

### Description

Convert between one-letter IUPAC aminoacid codes and three-letter PDB style aminoacid codes.

### Usage

    aa123(aa)
    aa321(aa)

### Arguments

`aa` | a character vector of individual aminoacid codes.

### Details

Standard conversions will map ‘A’ to ‘ALA’, ‘G’ to ‘GLY’, etc. Non-standard codes in `aa` will generate a warning and return ‘UNK’ or ‘X’.

### Value

A character vector of aminoacid codes.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

For a description of IUPAC one-letter codes see:
http://www.chem.qmul.ac.uk/iupac/AminoAcid/

For more information on PDB residue codes see:
http://ligand-expo.rcsb.org/ld-search.html

### See Also

`read.pdb`, `read.fasta`, `pdbseq`

### Examples

    # Simple conversion
    aa123(c("D","L","A","G","S","H"))
    aa321(c("ASP", "LEU", "ALA", "GLY", "SER", "HIS"))

    ## Not run:
    # Extract sequence from a PDB file's ATOM and SEQRES cards
    pdb <- read.pdb("1BG2")
    s <- aa321(pdb$seqres)                   # SEQRES
    a <- aa321(pdb$atom[pdb$calpha,"resid"]) # ATOM

    # Write both sequences to a fasta file
    write.fasta(alignment=seqbind(s,a), id=c("seqres","atom"), file="eg2.fa")

    # Alternative approach for ATOM sequence extraction
    pdbseq(pdb)
    pdbseq(pdb, aa1=FALSE )

    ## End(Not run)

[Package bio3d version 2.3-4 Index]